Bug 1474447 - Python-pefile package is missing dependency to python-future
Python-pefile package is missing dependency to python-future
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: python-pefile (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 11:48 EDT by Michal Ambroz
Modified: 2017-08-04 07:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2017-07-24 11:48:06 EDT
Description of problem:
The package python2-pefile-2016.3.28-3.fc26.noarch is missing dependency to python-future. As a result if installed it is not possible to import the module from python.

Version-Release number of selected component (if applicable):
python2-pefile-2016.3.28-3.fc26.noarch

How reproducible:
100%

Steps to Reproduce:
1. dnf -y install python2-pefile
2. python -c "import pefile"

Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/pefile.py", line 25, in <module>
    from past.builtins import cmp
ImportError: No module named past.builtins

Expected results:
No error message should be printed.

Workaround:
 - install the dependency manually
 dnf -y install python-future
Comment 1 Fedora Update System 2017-07-25 13:42:10 EDT
python-pefile-2017.5.26-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a24010af8
Comment 2 Athmane Madjoudj 2017-07-25 13:58:17 EDT
Thank you for reporting the issue, I just pushed the fix to updates-testing
Comment 3 Fedora Update System 2017-07-26 20:23:26 EDT
python-pefile-2017.5.26-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ae03a14a1a
Comment 4 Fedora Update System 2017-07-26 22:52:12 EDT
python-pefile-2017.5.26-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a24010af8
Comment 5 Michal Ambroz 2017-08-04 07:36:23 EDT
Cool - thanks

Note You need to log in before you can comment on or make changes to this bug.